<?php
$routes->group(
	'cadastro-de-banners', 
	[
		'namespace' => 'Modules\Cad_banner\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cad_banner::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cad_banner::cadastrar');
		$routes->post('cadastrando', 'Cad_banner::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cad_banner::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cad_banner::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cad_banner::deletar/$1');
	}
);